%define version 1.8
%define rel     2mdk
%define prefix  %{_prefix}

Summary: VICE, the Versatile Commodore Emulator
Name: vice
Version: %version
Release: %rel
License: GPL
Group: Emulators
Source: ftp://ftp.funet.fi/pub/cbm/crossplatform/emulators/VICE/%{name}-%{version}.tar.bz2
Source1: vice-normalicons.tar.bz2
Source2: vice-largeicons.tar.bz2
Source3: vice-miniicons.tar.bz2
URL: http://www.cs.cmu.edu/%7Edsladic/vice/vice.html
Prefix: %{prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-build-root
BuildRequires: readline-devel XFree86-devel zlib-devel esound-devel

%description
VICE is a set of accurate emulators for the Commodore 64, 128, VIC20,
PET and CBM-II 8-bit computers, all of which run under the X Window
System.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -O5 -DNO_REGPARM" ./configure --prefix=%{prefix} 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/vice << EOF
?package(vice):command="%{_bindir}/x64" needs="X11" icon="c64icon.png" section="Applications/Emulators" title="C64 Emulator" longtitle="Commodore 64 Emulator"
?package(vice):command="%{_bindir}/x128" needs="X11" icon="c128icon.png" section="Applications/Emulators" title="C128 Emulator" longtitle="Commodore 128 Emulator"
?package(vice):command="%{_bindir}/xpet" needs="X11" icon="peticon.png" section="Applications/Emulators" title="PET Emulator" longtitle="Commodore PET Emulator"
?package(vice):command="%{_bindir}/xvic" needs="X11" icon="vic20icon.png" section="Applications/Emulators" title="VIC 20 Emulator" longtitle="Commodore VIC 20 Emulator"
?package(vice):command="%{_bindir}/xcbm2" needs="X11" icon="c610icon.png" section="Applications/Emulators" title="CBM2 Emulator" longtitle="Commodore BM 2 Emulator"
?package(vice):command="%{_bindir}/xplus4" needs="X11" icon="plus4icon.png" section="Applications/Emulators" title="CPLUS4 Emulator" longtitle="Commodore PLUS4 Emulator"
?package(vice):command="xvt -e %{_bindir}/c1541" needs="X11" icon="commodore.png" section="Applications/Emulators" title="VICE disk image tool" longtitle="C1541 stand alone disk image maintenance program"
?package(vice):command="%{_bindir}/vsid" needs="X11" icon="commodore.png" section="Multimedia/Sound" title="VSID music player" longtitle="VICE SID music player for Commodore tunes"
EOF

#install icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
tar xjf %{SOURCE2} -C $RPM_BUILD_ROOT/%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
tar xjf %{SOURCE3} -C $RPM_BUILD_ROOT/%{_miconsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info vice.info

%{update_menus}

%postun
%_remove_install_info vice.info

%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS FEEDBACK INSTALL README ChangeLog doc/html/plain/*
%{_bindir}/*
%{_libdir}/vice
%{_mandir}/man1/*
%{_infodir}/*info*
%{_menudir}/vice
%{_iconsdir}/*

%changelog
* Tue Feb 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.8-2mdk
- update menu entries and icons
- update documentation 

* Wed Feb 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.8-1mdk
- add all binaries
- drop patch
- 1.8

* Thu Jan 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.7-3mdk
- png icons 

* Thu Oct 11 2001 Etienne Faure <etienne@mandrakesoft.com> 1.7-2mdk
- Requires libpng2 ->libpng3

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.7-1mdk
- updated from Gtz Waschk <waschk@linux-mandrake.com> 1.7-1mdk
	- 1.7
	- patched configure.in to fix compilation
	- s/Copyright/License/
	- some more macros
	- some BuildRequires

* Mon Jan  1 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6-1mdk
- 1.6
- fixed icons
- used %%find_lang macro

* Wed Aug 16 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- updated to 1.5
- added locale files
- fixed scripts
- merged menu with spec

* Thu Jul 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.4-1mdk
- initial mandrake package

    
